import type { FunctionalComponent } from "../../../stencil-public-runtime";
import type { JSXBase } from "../../../stencil-public-runtime";
import type { AutosuggestOption, CustomOption } from "../../what3words-autosuggest/domain";
interface SuggestionsProps {
    tag: string;
    style: JSXBase.HTMLAttributes<HTMLDivElement>["style"];
    hoverIndex: number;
    value: string;
    loading: boolean;
    suggestions: AutosuggestOption[];
    onSuggestionSelected(suggestion: AutosuggestOption): () => void;
    onMouseOver(suggestion: AutosuggestOption | CustomOption): () => void;
    onMouseOut(): void;
    onClose(): void;
}
export declare const Suggestions: FunctionalComponent<SuggestionsProps>;
export {};
